--- title: "getRouteList" slug: "networking-vpc-routetable-getroutelist" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-routetable-getroutelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getRouteList Available in VPC Get the list of routes set in a route table. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/getRouteList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the route table for which you want to query the route list - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `routeTableNo` | String | Required | Route table number - See [getRouteTableList](/docs/en/networking-vpc-routetable-getroutetablelist). | | `vpcNo` | String | Required | VPC number of the route table - It can be obtained through the [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist) action. | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getRouteList ?regionCode=KR &routeTableNo=***38 &vpcNo=***04' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [RouteList](/docs/en/common-vapidatatype-routelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 97b1034c-e030-40b8-bc22-58da1c3e5b0b 0 success 2 ***.***.0.0/16 LOCAL ***38 LOCAL Local true ***.***.0.0/0 INTERNET GATEWAY ***38 IGW Internet Gateway true ```